<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package WP_One_Pager
 */

get_header();
?>

<div class="blog-content-container">

	<main id="primary" class="site-main">

		<?php while ( have_posts() ): ?>
			<?php the_post(); ?>

			<?php get_template_part( 'template-parts/content', get_post_type() ); ?>

			<hr class="clear" />

			<?php

			the_post_navigation(
				array(
					'prev_text' => '<span class="nav-subtitle">' . esc_html__( 'Previous:', 'wp-one-pager' ) . '</span> <span class="nav-title">%title</span>',
					'next_text' => '<span class="nav-subtitle">' . esc_html__( 'Next:', 'wp-one-pager' ) . '</span> <span class="nav-title">%title</span>',
				)
			);

			// If comments are open or we have at least one comment, load up the comment template.
			if ( comments_open() || get_comments_number() ) :
				comments_template();
			endif;
      ?>

		<?php endwhile; // End of the loop. ?>

	</main><!-- #main -->

	<?php get_sidebar(); ?>

</div>

<?php
get_footer();
